For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTCreate or Update a Customer
      • GETGet Customer by ID
      • GETGet Customers
      • POSTUpdate Customer by ID
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APICustomers

Create or Update a Customer

|View as Markdown|Open in Claude|
POST
https://sandbox.trustly.one/api/v1/customers
POST
/api/v1/customers
$curl -X POST https://sandbox.trustly.one/api/v1/customers \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "name": "Joe User",
> "address": {
> "country": "US",
> "address1": "2000 Broadway St",
> "city": "Redwood City",
> "state": "CA",
> "zip": "94063"
> },
> "phone": "+16505551212",
> "email": "joe.user@mail.com",
> "taxId": "012345678",
> "createdAt": 1555696836548,
> "updatedAt": 1555696836548,
> "customerId": "1002580963",
> "externalId": "4567890",
> "merchantId": "1002463580",
> "enrollDate": 1555696836548,
> "driverLicense": {
> "number": "A1234567",
> "state": "CA"
> }
>}'
200Example
1{
2 "customer": {
3 "name": "Joe User",
4 "address": {
5 "country": "US",
6 "address1": "2000 Broadway St",
7 "city": "Redwood City",
8 "state": "CA",
9 "zip": "94063"
10 },
11 "phone": "+16505551212",
12 "email": "joe.user@mail.com",
13 "taxId": "012345678",
14 "createdAt": 1555696836548,
15 "updatedAt": 1555696836548,
16 "customerId": "1002580963",
17 "externalId": "4567890",
18 "merchantId": "1002463580",
19 "enrollDate": 1555696836548,
20 "driverLicense": {
21 "number": "A1234567",
22 "state": "CA"
23 }
24 }
25}
Creates a new customer record in the merchant account. In cases when the customer was not created at the time an Authorization was established, use this endpoint to register customer details, such as name, email, and optional metadata, to support your integration. If an existing `customerId` or `externalId` is provided, the specified customer will be updated with any new or updated properties. To remove properties of an existing customer, set the property to `null`. Before using this endpoint, it may be helpful to call [Get Customer by ID](ref:get-customers-customerid) to obtain the relevant customer object.
Was this page helpful?
Previous

List Countries

Next

Get Customer by ID

Built with

Creates a new customer record in the merchant account. In cases when the customer was not created at the time an Authorization was established, use this endpoint to register customer details, such as name, email, and optional metadata, to support your integration.

If an existing customerId or externalId is provided, the specified customer will be updated with any new or updated properties. To remove properties of an existing customer, set the property to null. Before using this endpoint, it may be helpful to call Get Customer by ID to obtain the relevant customer object.

Authentication

AuthorizationBasic

Query parameters

externalIdstringOptional
The externalId that was passed when the Customer record was created.

Request

namestringRequired>=1 character
Full name of the Customer
addressobjectRequired
Valid mailing or billing address associated with the customer
phonestringRequired
Customer phone number.
emailstringRequired>=1 character
Customer email address.
taxIdstringOptional

Customer tax ID (e.g. SSN [US], SIN [CA]). May be required depending on industry and location.

dateOfBirthstringOptional
Customer date of birth.
externalIdstringOptional>=1 character
A unique merchant customer identifier.
merchantIdstringOptional>=1 character
A unique Trustly merchant identifier.
enrollDateintegerOptional
Date of the user's first transaction in your system, regardless of payment method used as a UNIX timestamp.
vipstringOptional

Range that determines how low-risk the customer represents to the merchant

currencystringOptional
Customer currency.
balancestringOptional

Customer account balance (not associated with a financial institution account).

organizationNumberstringOptional
Organization number for business accounts
externalTierstringOptional

It should describe the customer”s rank to the merchant (e.g. Gold, Diamond, 4 stars, etc.)

personIdstringOptional
Unique customer identity throughout different banks.
customDataobjectOptional

Object for sending merchant-specific custom data.

driverLicenseobjectOptional
nationalIdstringOptional
Customer National ID

Response

OK
customerobject
The Trustly customer object, containing identification details and contact information.